org.apache.poi.hwpf.model.types

## Class GrfhicAbstractType

- java.lang.Object
- - org.apache.poi.hwpf.model.types.GrfhicAbstractType

- Direct Known Subclasses:
    Grfhic

      @Internal
      public abstract class GrfhicAbstractType
      extends java.lang.Object

  The grfhic structure is a set of HTML incompatibility flags that specify the HTML incompatibilities of a list structure. The values specify possible incompatibilities between an LVL or LVLF and HTML lists. The values do not define list properties.

  Class and fields descriptions are quoted from [MS-DOC] -- v20110315 Word (.doc) Binary File Format specification

  NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/types/definitions.

  This class is internal. It content or properties may change without notice due to changes in our knowledge of internal Microsoft Word binary structures.

  Author:
    Sergey Vladimirov; according to [MS-DOC] -- v20110315 Word (.doc) Binary File Format specification

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected byte` | `field_1_grfhic`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `GrfhicAbstractType()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `protected void` | `fillFields(byte[] data, int offset)`
    `byte` | `getGrfhic()` HTML compatibility flags.
    `static int` | `getSize()` Size of record
    `int` | `hashCode()`
    `boolean` | `isFHtmlBuiltInBullet()` A built-in HTML bullet
    `boolean` | `isFHtmlChecked()` Checked
    `boolean` | `isFHtmlFirstLineMismatch()` First line indent mismatch
    `boolean` | `isFHtmlHangingIndentBeneathNumber()` The hanging indent falls beneath the number (need plain text)
    `boolean` | `isFHtmlListTextNotSharpDot()` The list text is not "#."
    `boolean` | `isFHtmlNotPeriod()` Something other than a period is used
    `boolean` | `isFHtmlTabLeftIndentMismatch()` The list tab and the dxaLeft don't match (need table?)
    `boolean` | `isFHtmlUnsupported()` The numbering sequence or format is unsupported (includes tab & size)
    `byte[]` | `serialize()`
    `void` | `serialize(byte[] data, int offset)`
    `void` | `setFHtmlBuiltInBullet(boolean value)` Sets the fHtmlBuiltInBullet field value.
    `void` | `setFHtmlChecked(boolean value)` Sets the fHtmlChecked field value.
    `void` | `setFHtmlFirstLineMismatch(boolean value)` Sets the fHtmlFirstLineMismatch field value.
    `void` | `setFHtmlHangingIndentBeneathNumber(boolean value)` Sets the fHtmlHangingIndentBeneathNumber field value.
    `void` | `setFHtmlListTextNotSharpDot(boolean value)` Sets the fHtmlListTextNotSharpDot field value.
    `void` | `setFHtmlNotPeriod(boolean value)` Sets the fHtmlNotPeriod field value.
    `void` | `setFHtmlTabLeftIndentMismatch(boolean value)` Sets the fHtmlTabLeftIndentMismatch field value.
    `void` | `setFHtmlUnsupported(boolean value)` Sets the fHtmlUnsupported field value.
    `void` | `setGrfhic(byte field_1_grfhic)` HTML compatibility flags.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### field_1_grfhic

          protected byte field_1_grfhic

  - ### Constructor Detail

    - #### GrfhicAbstractType

          protected GrfhicAbstractType()

  - ### Method Detail

    - #### fillFields

          protected void fillFields(byte[] data,
                                    int offset)

    - #### serialize

          public void serialize(byte[] data,
                                int offset)

    - #### serialize

          public byte[] serialize()

    - #### getSize

          public static int getSize()

      Size of record

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getGrfhic

          @Internal
          public byte getGrfhic()

      HTML compatibility flags.

    - #### setGrfhic

          @Internal
          public void setGrfhic(byte field_1_grfhic)

      HTML compatibility flags.

    - #### setFHtmlChecked

          @Internal
          public void setFHtmlChecked(boolean value)

      Sets the fHtmlChecked field value. Checked

    - #### isFHtmlChecked

          @Internal
          public boolean isFHtmlChecked()

      Checked
      Returns:
        the fHtmlChecked field value.

    - #### setFHtmlUnsupported

          @Internal
          public void setFHtmlUnsupported(boolean value)

      Sets the fHtmlUnsupported field value. The numbering sequence or format is unsupported (includes tab & size)

    - #### isFHtmlUnsupported

          @Internal
          public boolean isFHtmlUnsupported()

      The numbering sequence or format is unsupported (includes tab & size)
      Returns:
        the fHtmlUnsupported field value.

    - #### setFHtmlListTextNotSharpDot

          @Internal
          public void setFHtmlListTextNotSharpDot(boolean value)

      Sets the fHtmlListTextNotSharpDot field value. The list text is not "#."

    - #### isFHtmlListTextNotSharpDot

          @Internal
          public boolean isFHtmlListTextNotSharpDot()

      The list text is not "#."
      Returns:
        the fHtmlListTextNotSharpDot field value.

    - #### setFHtmlNotPeriod

          @Internal
          public void setFHtmlNotPeriod(boolean value)

      Sets the fHtmlNotPeriod field value. Something other than a period is used

    - #### isFHtmlNotPeriod

          @Internal
          public boolean isFHtmlNotPeriod()

      Something other than a period is used
      Returns:
        the fHtmlNotPeriod field value.

    - #### setFHtmlFirstLineMismatch

          @Internal
          public void setFHtmlFirstLineMismatch(boolean value)

      Sets the fHtmlFirstLineMismatch field value. First line indent mismatch

    - #### isFHtmlFirstLineMismatch

          @Internal
          public boolean isFHtmlFirstLineMismatch()

      First line indent mismatch
      Returns:
        the fHtmlFirstLineMismatch field value.

    - #### setFHtmlTabLeftIndentMismatch

          @Internal
          public void setFHtmlTabLeftIndentMismatch(boolean value)

      Sets the fHtmlTabLeftIndentMismatch field value. The list tab and the dxaLeft don't match (need table?)

    - #### isFHtmlTabLeftIndentMismatch

          @Internal
          public boolean isFHtmlTabLeftIndentMismatch()

      The list tab and the dxaLeft don't match (need table?)
      Returns:
        the fHtmlTabLeftIndentMismatch field value.

    - #### setFHtmlHangingIndentBeneathNumber

          @Internal
          public void setFHtmlHangingIndentBeneathNumber(boolean value)

      Sets the fHtmlHangingIndentBeneathNumber field value. The hanging indent falls beneath the number (need plain text)

    - #### isFHtmlHangingIndentBeneathNumber

          @Internal
          public boolean isFHtmlHangingIndentBeneathNumber()

      The hanging indent falls beneath the number (need plain text)
      Returns:
        the fHtmlHangingIndentBeneathNumber field value.

    - #### setFHtmlBuiltInBullet

          @Internal
          public void setFHtmlBuiltInBullet(boolean value)

      Sets the fHtmlBuiltInBullet field value. A built-in HTML bullet

    - #### isFHtmlBuiltInBullet

          @Internal
          public boolean isFHtmlBuiltInBullet()

      A built-in HTML bullet
      Returns:
        the fHtmlBuiltInBullet field value.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.